View Issue Details

IDProjectCategoryView StatusLast Update
0025950Open CASCADEOCCT:Modeling Algorithmspublic2019-09-04 12:17
ReporterpkvAssigned Tomsv  
PrioritynormalSeverityminor 
Status assignedResolutionopen 
Product Version6.9.0 
Target VersionUnscheduled 
Summary0025950: Modeling Algorithms - Bad performance of intersection algorithm
DescriptionBad performance of intersection algorithm.
+ The result is incomplete.

The environment I've used is described here
http://dev.opencascade.org/index.php?q=node/1060#comment-523
Open CASCADE: development version, optimized mode
Steps To Reproducerestore b1_005_1 b1
restore b2_005_1 b2
mksurface s1 b1
mksurface s2 b2

dchrono z reset
dchrono z start

intersect i s1 s2

dchrono z stop
dchrono z show

#-------------------------------------------------
Elapsed time: 0 Hours 1 Minutes 11.8784285914 Seconds
CPU user time: 71.4952583 seconds
CPU system time: 0.1404009 seconds
#-------------------------------------------------




TagsNo tags attached.
Test case numberlowalgos intss bug25950

Attached Files

  • case_005.zip (2,031 bytes)

Activities

pkv

2015-03-17 10:36

developer  

case_005.zip (2,031 bytes)

git

2018-11-02 14:10

administrator   ~0080617

Branch CR25950 has been created by nbv.

SHA-1: bb2ccff4ab720f8bc67474d28e4f061fb7677ada


Detailed log of new commits:

Author: nbv
Date: Fri Nov 2 10:06:26 2018 +0300

    0025950: Bad performance of intersection algorithm.
    
    Only test case has been created.

git

2018-11-02 14:15

administrator   ~0080618

Branch CR25950 has been updated forcibly by nbv.

SHA-1: 3ef1b4e838537051bea6df6c72e5abb101e35e7d

nbv

2018-11-02 16:31

developer   ~0080646

Last edited: 2018-11-06 17:45

Dear Mikhail,

Please review the branch CR25950.

Test results are here:
Linux: http://jenkins-test-12.nnov.opencascade.com/view/CR25950-master_NBV/view/TESTING/job/CR25950-master_NBV-OCCT-Debian80-64-opt-test-restart/HTML_20Report/

Windows: http://jenkins-test-12.nnov.opencascade.com/view/CR25950-master_NBV/view/TESTING/job/CR25950-master_NBV-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/.

P.S.

Please note that the problem is still reproduced on MASTER version.

On Linux intersection takes 24.23 seconds, On Windows - 28.5 seconds.

On both platforms the intersection result is incomplete.

So, this issue should be kept as open. But the test case should be integrated in order to watch trend of behavior changing.

msv

2018-11-02 18:17

developer   ~0080657

tests/lowalgos/intss/begin
- 68: misprint "overlaped"

tests/lowalgos/intss/bug25950
- 28: Bub25950IntSS? May be Bug25950IntSS?

git

2018-11-06 11:03

administrator   ~0080732

Branch CR25950 has been updated forcibly by nbv.

SHA-1: 0f365d7f46fb01be71b42717711b7a5de52fb389

nbv

2018-11-06 12:13

developer   ~0080737

Dear Mikhail,

Please review CR25950 branch.

Test results are here:
Windows: http://jenkins-test-12.nnov.opencascade.com/view/CR25950-master_NBV/view/TESTING/job/CR25950-master_NBV-OCCT-Windows-64-VC14-opt-test-restart/HTML_20Report/

Linux: http://jenkins-test-12.nnov.opencascade.com/view/CR25950-master_NBV/view/TESTING/job/CR25950-master_NBV-OCCT-Debian80-64-opt-test-restart/HTML_20Report/

P.S.

Please pay attention to the message 0025950:0080646.

msv

2018-11-06 17:25

developer   ~0080782

Please suppress displaying of knots by running "clknots" without args before intersection.

git

2018-11-06 18:12

administrator   ~0080787

Branch CR25950 has been updated forcibly by nbv.

SHA-1: a7276a9474984e439c708e1f49d09576b888dbed

nbv

2018-11-07 10:40

developer   ~0080804

Dear Mikhail,

Please review CR25950 branch.

Test results are here: http://jenkins-test-12.nnov.opencascade.com/view/CR25950-master_NBV/.

msv

2018-11-07 11:23

developer   ~0080808

Dear bugmaster, please integrate the branch CR25950. Then reassign the bug to me.

Related Changesets

occt: master 364c8886

2018-11-02 07:06:26

nbv


Committer: apn Details Diff
0025950: Bad performance of intersection algorithm.

1. Test case has been created.

2. Minor correction in DrawTrSurf.cxx file.
Affected Issues
0025950
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff File
mod - tests/lowalgos/intss/begin Diff File
mod - tests/lowalgos/intss/bug21494_2 Diff File
add - tests/lowalgos/intss/bug25950 Diff File

Issue History

Date Modified Username Field Change
2015-03-17 10:36 pkv New Issue
2015-03-17 10:36 pkv Assigned To => msv
2015-03-17 10:36 pkv File Added: case_005.zip
2015-03-17 10:37 pkv Status new => assigned
2015-03-17 11:55 msv Assigned To msv => nbv
2015-04-17 00:02 abv Target Version 6.9.0 => 7.1.0
2016-10-25 19:04 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:33 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0
2018-11-02 14:11 git Note Added: 0080617
2018-11-02 14:15 git Note Added: 0080618
2018-11-02 16:31 nbv Note Added: 0080646
2018-11-02 16:31 nbv Assigned To nbv => msv
2018-11-02 16:31 nbv Status assigned => resolved
2018-11-02 18:17 msv Note Added: 0080657
2018-11-02 18:17 msv Assigned To msv => nbv
2018-11-02 18:17 msv Status resolved => assigned
2018-11-06 11:03 git Note Added: 0080732
2018-11-06 12:13 nbv Note Added: 0080737
2018-11-06 12:13 nbv Assigned To nbv => msv
2018-11-06 12:13 nbv Status assigned => resolved
2018-11-06 17:25 msv Note Added: 0080782
2018-11-06 17:26 msv Assigned To msv => nbv
2018-11-06 17:26 msv Status resolved => assigned
2018-11-06 17:45 nbv Note Edited: 0080646
2018-11-06 18:12 git Note Added: 0080787
2018-11-07 10:40 nbv Note Added: 0080804
2018-11-07 10:40 nbv Assigned To nbv => msv
2018-11-07 10:40 nbv Status assigned => resolved
2018-11-07 11:23 msv Note Added: 0080808
2018-11-07 11:23 msv Assigned To msv => bugmaster
2018-11-07 11:23 msv Status resolved => feedback
2018-11-14 17:27 apn Test case number => lowalgos intss bug25950
2018-11-18 03:30 apn Changeset attached => occt master 364c8886
2018-11-18 03:30 apn Assigned To bugmaster => apn
2018-11-18 03:30 apn Status feedback => verified
2018-11-18 03:30 apn Resolution open => fixed
2018-11-18 03:35 apn Status verified => closed
2018-11-18 03:36 apn Assigned To apn => msv
2018-11-18 03:36 apn Status closed => assigned
2018-11-18 03:36 apn Resolution fixed => open
2019-08-12 18:44 msv Target Version 7.4.0 => Unscheduled
2019-09-04 12:17 kgv Summary Bad performance of intersection algorithm. => Modeling Algorithms - Bad performance of intersection algorithm